
function helicopterwave_onCreate()
	local wave = uniGetExecutor()
	local fwd = D3DXVECTOR3:new(rand(-1,1),0,rand(-1,1))
	local mag = math.sqrt(fwd.x*fwd.x + fwd.y*fwd.y + fwd.z*fwd.z)
	fwd.x = fwd.x / mag
	fwd.y = fwd.y / mag
	fwd.z = fwd.z / mag
	wave:setLocalOrientation(0,1,0,fwd.x,fwd.y,fwd.z)
	fwd:delete()
end

desc = getEffectDescriptionP(ENET_EFFECT_HELICOPTER_WATERWAVES)

desc.ClassID = ENCLASS_ORIENTEDSPRITE
desc.EffectClassType = ENECT_ORIENTEDSPRITE
desc.ActivityType = ENACT_ACTIVE
desc.onCreate = "helicopterwave_onCreate"

desc.ScriptSet = ENSCRIPTSET_UNKNOWN
desc.FileName = "helicopter_effect_waterwaves.dds"
desc.RelativePosition = ENLOCALPOS_NOTSPECIFIED
local vzbzd1 = D3DXVECTOR3:new(0,2,0)
desc.LocalPosition = vzbzd1
vzbzd1:delete()
desc.isAnimateTexture = false

desc.Material = ENMAT_PARTICLE_LIGHT
desc.MaterialColors.Ambient.r = 0
desc.MaterialColors.Ambient.g = 0
desc.MaterialColors.Ambient.b = 0
desc.MaterialColors.Ambient.a = 1
desc.MaterialColors.Diffuse.r = 0
desc.MaterialColors.Diffuse.g = 0
desc.MaterialColors.Diffuse.b = 0
desc.MaterialColors.Diffuse.a = 1
desc.MaterialColors.Emissive.r = 1
desc.MaterialColors.Emissive.g = 1
desc.MaterialColors.Emissive.b = 1
desc.MaterialColors.Emissive.a = 1
desc.RenderType = ENRENDERTYPE_GEOMETRY
desc.LifeLimit = 3.9

spdesc = desc.OrientedSprite
spdesc.SpriteType = EN3DSPRITE_BINDED
spdesc.xsize = 128	
spdesc.ysize = 128
local vzbzd2 = D3DXVECTOR3:new(0,0,1)
spdesc.OrientAxis = vzbzd2
vzbzd2:delete()
local vzbzd3 = D3DXVECTOR3:new(0,1,0)
spdesc.BindAxis = vzbzd3
vzbzd3:delete()
spdesc.Centering = ENCENTERING_CENTER
spdesc.IsTargetted = false
spdesc.TargetRelativePosition = ENLOCALPOS_NOTSPECIFIED
spdesc.IsAxisInLocalSpace = true

interpolator = createInterpolator()
interpolator:addKey(0.0,0.3)
interpolator:addKey(3.9,0.9)
interpolator:finalize(false)
-- add interpolator on X scale
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_SCALE_X))

interpolator = createInterpolator()
interpolator:addKey(0.0,0.3)
interpolator:addKey(3.9,0.9)
interpolator:finalize(false)
-- add interpolator on Y scale
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_SCALE_Y))

interpolator = createInterpolator()
interpolator:addKey(0.0,0.3)
interpolator:addKey(3.9,0.9)
interpolator:finalize(false)
-- add interpolator on Y scale
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_SCALE_Z))

interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(0.3,0.07)
interpolator:addKey(3.9,0.0)
interpolator:finalize(false)
-- add interpolator on X scale
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_EMISSIVE_A))

